section \<open>Domain-specific languages\<close>

theory Expr
imports Pure
begin

subsection \<open>Exercise\<close>

text \<open>
  \<triangleright> Define a simple domain-specific language within Isabelle, such as a subset
    of Isabelle/Pure types, terms, propositions etc.

  \<triangleright> Integrate the language into the Isabelle/PIDE framework via suitable
    markup for important tokens, sub-expressions etc.

  Starting points for exploration of possibilities:

  @{file "~~/src/Pure/General/scan.ML"}
  @{file "~~/src/Pure/Syntax/simple_syntax.ML"}
  @{file "~~/src/Pure/Tools/rail.ML"}
\<close>

end
