theory De_Morgan_Pred
imports Main
begin

text \<open>
  Consider the following formulations of the De Morgan Laws for
  predicate logic.
\<close>

lemma "\<not> (\<exists>x. P x) \<longleftrightarrow> (\<forall>x. \<not> P x)" by blast
lemma "\<not> (\<forall>x. P x) \<longleftrightarrow> (\<exists>x. \<not> P x)" by blast


section \<open>Exercise\<close>

text \<open>
  \<triangleright> Produce structured Natural Deduction proofs of the 4 implications
    contained in the above equivalences.

  \<triangleright> Which parts require classical reasoning?
\<close>

end
