theory De_Morgan_Prop
imports Main
begin

text \<open>
  Consider the following formulations of the De Morgan Laws for
  propositional logic.
\<close>

lemma "\<not> (A \<or> B) \<longleftrightarrow> \<not> A \<and> \<not> B" by blast
lemma "\<not> (A \<and> B) \<longleftrightarrow> \<not> A \<or> \<not> B" by blast


section \<open>Exercise\<close>

text \<open>
  \<triangleright> Produce structured Natural Deduction proofs of the 4 implications
    contained in the above equivalences.

  \<triangleright> Which parts require classical reasoning?
\<close>

end
