theory Principia_Mathematica
imports Main
begin

lemma "(\<forall>x y. P x \<longrightarrow> Q y) \<longleftrightarrow> ((\<exists>x. P x) \<longrightarrow> (\<forall>y. Q y))"
  \<comment> \<open>Principia Mathematica *11.53\<close>
  sorry

lemma "(\<exists>x y. P x \<and> Q x y) \<longleftrightarrow> (\<exists>x. P x \<and> (\<exists>y. Q x y))"
  \<comment> \<open>Principia Mathematica *11.55\<close>
  sorry

lemma "(\<exists>y. \<forall>x. P x \<longrightarrow> Q x y) \<longrightarrow> (\<forall>x. P x \<longrightarrow> (\<exists>y. Q x y))"
  \<comment> \<open>Principia Mathematica *11.61\<close>
  sorry

end
