theory Syllogisms
imports Main
begin

section \<open>Introduction\<close>

text \<open>
  \<^item> syllogistic fallacy:
    @{url "http://www.glasbergen.com/wp-content/gallery/goldie/goldie39.gif"}

  \<^item> general explanations on historic syllogisms:
    @{url "https://en.wikipedia.org/wiki/Syllogism"}
\<close>


section \<open>Exercise\<close>

text \<open>
  \<triangleright> Formulate some syllogisms in predicate logic.

  \<triangleright> Prove the statements by automated classical reasoning, e.g.
    \<^theory_text>\<open>by blast\<close>, \<^theory_text>\<open>by auto\<close>

  \<triangleright> Discuss the use of quantifiers versus negation.
\<close>

end