section \<open>Inductive definition of derived logical connectives\<close>

theory Logic
imports Main
begin

section \<open>Exercise\<close>

text \<open>
  The HOL connectives \<open>A \<longrightarrow> B\<close> and \<open>\<forall>x::'a. B x\<close> may be understood as
  primitives of \<open>\<lambda>\<close>-calculus with (dependent) types. Other connectives can be
  defined as \<^theory_text>\<open>inductive\<close> predicates (with zero arguments, but some
  parameters). The induction rules correspond to elimination.

  \<triangleright> Define \<open>FALSE\<close>, \<open>TRUE\<close>, \<open>AND A B\<close>, \<open>OR A B\<close>, \<open>EXISTS (\<lambda>x::'a. B x)\<close>
    inductively.

  \<triangleright> Define the equality relation inductively.

  \<triangleright> Discuss the relation to foundations of Coq?

  What are the fundamental differences of simply-typed set-theory in HOL
  versus dependently-typed Coq?
\<close>

end