theory Natural_Deduction
imports Main
begin

section \<open>Exercise\<close>

text \<open>
  \<triangleright> Produce structured Isar proofs from the following examples:

      \<^item> @{file "Natural_Deduction/Currying.thy"}
      \<^item> @{file "Natural_Deduction/De_Morgan_Prop.thy"}
      \<^item> @{file "Natural_Deduction/De_Morgan_Pred.thy"}
      \<^item> @{file "Natural_Deduction/Syllogisms.thy"}
      \<^item> @{file "Natural_Deduction/Principia_Mathematica.thy"}
      \<^item> @{file "Natural_Deduction/Frobenius.thy"}

  \<triangleright> Are some penguins old TV shows?

  \<triangleright> Discuss the impact of automated reasoning tools on:
      \<^item> proof production,
      \<^item> proof consumption,
      \<^item> proof stability (after changes of definitions and statements).

  \<triangleright> Discuss classical reasoning (predicate logic as Boolean algebra)
    versus pure intuitionistic logic.

  \<triangleright> Port some of the examples to ZF.
    Note that @{file "~~/src/ZF/Main_ZF.thy"} can coexist with Isabelle/HOL.

  \<triangleright> Port some of the examples to minimal predicate logic based on Pure.
    E.g. see @{file "~~/src/FOL/ex/First_Order_Logic.thy"}
\<close>

end